-- update playlists

alter table playlists
add column cloud_sync_time integer;

alter table playlists
add column last_update_time integer;

alter table playlists
add column is_deleted integer;

-- update playlist_episodes

alter table playlist_episodes
add column last_order_update_time integer;

alter table playlist_episodes
add column last_add_delete_time integer;

alter table playlist_episodes
add column is_deleted integer;

alter table playlist_episodes
add column cloud_sync_time integer;

-- set last_order_update_time and last_add_delete_time to current time
-- it will help to avoid inconsistencies during cloud sync

update playlist_episodes set
last_order_update_time = strftime('%s', 'now') * 1000, last_add_delete_time = strftime('%s', 'now') * 1000;

update playlists set
last_update_time = strftime('%s', 'now') * 1000;
