create table downloading (
    episode_id text not null primary key,
    is_auto_download integer not null,
    download_attempts integer default 0
);

INSERT INTO downloading(episode_id, is_auto_download, download_attempts)
SELECT id, 1 as is_auto_download, 0 as download_attempts
FROM episodes
WHERE flag_download = 1

-- we don't remove the "flag_download" column from "episodes" table, to avoid slow and complex migration, just ignore it in the future
