create table live_episodes (
    id text not null primary key,
    guid text not null,
    itunes_podcast_id text,
    itunes_collection_name text,
    pub_date_unix long,
    start_date_unix long,
    end_date_unix long,
    status text,
    title text,
    link text,
    comment text,
    description text,
    content_encoded text,
    media_url text,
    media_type text,
    itunes_summary text,
    deleted integer,
    itunes_image text,
    itunes_subtitle text,
    transcript_url text,
    transcript_type text,
    chapters_url text,
    chapters_type text,
    soundbites_json text,
    persons_json text,
    location_json text,
    season_number real,
    season_title text,
    season_episode_number real,
    season_episode_title text,
    license_name text,
    license_url text,
    chat_url text,
    content_links_json text
);

create unique index live_episodes_ind on live_episodes(guid, itunes_podcast_id);
