create table v4v_pending_stream_payments (
    episode_id text primary key,
    amount_to_send integer not null,
    last_update_time integer not null
);

create table v4v_payment_log (
    id integer primary key,
    payment_time integer not null,
    amount integer not null,
    podcast_id text,
    podcast_title text,
    episode_id text,
    episode_title text,
    payment_request_details text not null,
    payment_response_details text,
    is_stream_payment integer not null,
    is_successful integer not null
);
