alter table v4v_payment_log
add column guid text;

alter table v4v_payment_log
add column message text;

alter table v4v_payment_log
add column playback_position integer;

create unique index v4v_payment_log_guid_ind on v4v_payment_log(guid);

create table v4v_subpayment_log (
    id integer primary key,
    main_payment_guid text not null,
    payment_type text not null,
    amount integer not null,
    destination_name text,
    destination_addr text,
    payment_request_details text,
    payment_response_details text,
    error_message text,
    is_successful integer not null
);
