drop table episodes_tmp;
drop table playlists_tmp;
drop table playlist_episodes_tmp;

drop table fts_episodes;

create virtual table fts_episodes USING fts4 (content='episodes', itunes_collection_name, title, description);

-- start-statement

CREATE TRIGGER episodes_bu BEFORE UPDATE ON episodes BEGIN
  DELETE FROM fts_episodes WHERE docid=old.rowid;
END;

-- end-statement

-- start-statement

CREATE TRIGGER episodes_bd BEFORE DELETE ON episodes BEGIN
  DELETE FROM fts_episodes WHERE docid=old.rowid;
END;

-- end-statement

-- start-statement

CREATE TRIGGER episodes_au AFTER UPDATE ON episodes BEGIN
  INSERT INTO fts_episodes(docid, itunes_collection_name, title, description) VALUES(new.rowid, new.itunes_collection_name, new.title, new.description);
END;

-- end-statement

-- start-statement

CREATE TRIGGER episodes_ai AFTER INSERT ON episodes BEGIN
  INSERT INTO fts_episodes(docid, itunes_collection_name, title, description) VALUES(new.rowid, new.itunes_collection_name, new.title, new.description);
END;

-- end-statement

INSERT INTO fts_episodes(fts_episodes) VALUES('rebuild');
