package com.droidworks.android.http.download;

import com.droidworks.android.http.download.DownloadJob;

interface DownloadStateListener {

    /**
     * periodically called when the state of the active download changes
     */
    void stateChanged(in DownloadJob job);
    
    /**
     * perodically called to update the download progress
     */
     void updateDownloadProgress(in DownloadJob job);

}
